<div *ngIf="loading">
  <app-loader></app-loader>
</div>
<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card card-accent-success">
        <div class="card-header">
          <h4 class="card-title mb-0 font-weight-bold">DAFTAR KOMPONEN</h4>
        </div>
        <div class="card-body">
          <!--<div class="row">-->
            <!--<div class="col-sm-3">-->
              <!--<input id="appendedInputButton" [(ngModel)]="filterText" class="form-control" type="text" placeholder="Pencarian...">-->
            <!--</div>-->
            <!--<div class="col-sm-1 pl-0 pr-0">-->
              <!--<button class="btn btn-success"  (click)="doGetListKomponen()"><i class="fa fa-search"></i> Cari</button>-->
            <!--</div>-->
            <!--<div class="col-sm-5"></div>-->
            <!--&lt;!&ndash;<div class="col-sm-3">&ndash;&gt;-->
              <!--&lt;!&ndash;<button class="pull-right btn btn-success" data-toggle="modal" (click)="doOpenFormAdd(); addModal.show();">&ndash;&gt;-->
                <!--&lt;!&ndash;<i class="icon-plus"></i> Tambah Komponen Baru</button>&ndash;&gt;-->
            <!--&lt;!&ndash;</div>&ndash;&gt;-->
          <!--</div><br>-->
          <div>
            <table class="table table-bordered table-striped table-sm table-responsive-sm">
              <thead>
              <tr class="font-xs">
                <th class="text-center align-middle" style="width: 3%">#</th>
                <th class="text-center align-middle" style="width: 25%" (click)="sort('keterangan')">Nama Komponen
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'keterangan',
                                    'fa-sort-asc': (column == 'keterangan' && isDesc),
                                    'fa-sort-desc': (column == 'keterangan' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 8%" (click)="sort('tipe')">Tipe Komponen
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'tipe',
                                    'fa-sort-asc': (column == 'tipe' && isDesc),
                                    'fa-sort-desc': (column == 'tipe' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 8%" (click)="sort('nominal')">Nilai Komponen
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'nominal',
                                    'fa-sort-asc': (column == 'nominal' && isDesc),
                                    'fa-sort-desc': (column == 'nominal' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 7%">Aksi</th>
              </tr>
              </thead>
              <tbody *ngIf="!listKomponen || listKomponen.length===0">
              <tr>
                <td colspan="5" class="text-center">Tidak Ada Data</td>
              </tr>
              </tbody>
              <tbody>
              <tr class="text-center font-xs" *ngFor="let data of listKomponen | orderBy: {property: column, direction: direction}; let i=index;">
                <td>{{ (currentPage - 1) * itemsPerPage + (i + 1) }}</td>
                <td class="text-left">{{ data.keterangan }}</td>
                <td>{{ data.tipe }}</td>
                <td>{{ data.tipe==='INFO_APP' ? data.nominal : data.nominal | number }}</td>
                <td>
                  <button class="btn btn-success btn-sm" data-toggle="modal" (click)="setSelectedKomponen(data); doOpenFormEdit(); addModal.show();"><i class="icon-pencil"></i> Edit</button>
                </td>
              </tr>
              <tr class="text-center font-xs" *ngFor="let data of listCalculate | orderBy: {property: column, direction: direction}; let i=index;">
                <td>{{ (currentPage - 1) * itemsPerPage + (i + 1) + listKomponen.length }}</td>
                <td class="text-left">{{ data.keterangan }}</td>
                <td>{{ data.tipe }}</td>
                <td>{{ data.tipe==='INFO_APP' ? data.nominal : data.nominal | number }}</td>
                <td>
                  <button class="btn btn-success btn-sm" data-toggle="modal" (click)="setSelectedKomponen(data); doOpenFormEdit(); addModal.show();"><i class="icon-pencil"></i> Edit</button>
                </td>
              </tr>
              <tr class="text-center font-xs" *ngFor="let data of listInfoApp | orderBy: {property: column, direction: direction}; let i=index;">
                <td>{{ (currentPage - 1) * itemsPerPage + (i + 1) + listKomponen.length +  listCalculate.length }}</td>
                <td class="text-left">{{ data.keterangan }}</td>
                <td>{{ data.tipe }}</td>
                <td>{{ data.tipe==='INFO_APP' ? data.nominal : data.nominal | number }}</td>
                <td>
                  <button class="btn btn-success btn-sm" data-toggle="modal" (click)="setSelectedKomponen(data); doOpenFormEdit(); addModal.show();"><i class="icon-pencil"></i> Edit</button>
                </td>
              </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<div bsModal #addModal="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-success" role="document" style="width: 80%;">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title"><i class="icon-pencil"></i> {{modalTitle}} Komponen</h4>
        <button type="button" class="close" (click)="addModal.hide()" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form action="" method="post" class="form-horizontal" [formGroup]="formBuilder">
          <div class="row">
            <div class="col-sm-12">
              <label class="col-form-label">Kode Komponen</label>
              <input type="text" id="kodeKomponen" class="form-control" formControlName="kode" placeholder="Kode Komponen">
            </div>
          </div>
          <div class="row">
            <div class="col-sm-12">
              <label class="col-form-label">Nama Komponen</label>
              <input type="text" id="namaKomponen" class="form-control" formControlName="keterangan" placeholder="Nama Komponen">
            </div>
          </div>
          <div class="row">
            <div class="col-sm-12">
              <label class="col-form-label">Tipe Komponen</label>
              <input type="text" id="tipeKomponen" class="form-control" formControlName="tipe" placeholder="Tipe Komponen">
            </div>
          </div>
          <div class="row" *ngIf="formBuilder.controls.tipe.value !== 'INFO_APP'">
            <div class="col-sm-12">
              <label class="col-form-label">Nilai Komponen</label>
              <input type="text" id="nominal" class="form-control" formControlName="nominal" placeholder="Nilai Komponen"
                     appOnlyNumber="{{formBuilder.controls.nominal.value}}">
            </div>
          </div>
          <div class="row" *ngIf="formBuilder.controls.tipe.value === 'INFO_APP'">
            <div class="col-sm-12">
              <label class="col-form-label">Nilai Komponen</label>
              <input type="text" id="nominal2" class="form-control" formControlName="nominal" placeholder="Nilai Komponen">
            </div>
          </div>
        </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" (click)="addModal.hide()">Tutup</button>
        <button type="button" class="btn btn-success" (click)="addModal.hide(); submit()" [disabled]="formBuilder.invalid">
          <i class="fa fa-save"></i> Submit</button>
      </div>
    </div>
  </div>
</div>

